scim-chewing居然和language-support-zh捆绑?

系统字体配置、中文显示和输入法问题
回复
头像
Arete
帖子: 74
注册时间: 2005-10-05 11:15
来自: http://bulaoge.com/?arete
送出感谢: 0
接收感谢: 0
联系:

scim-chewing居然和language-support-zh捆绑?

#1

帖子 Arete » 2006-05-28 8:42

昨天升级到了dapper,感觉界面有进步。不过scim的确是麻烦。
breezy下我只装了scim和scim chinese,用拼音输入法而已。dapper给我装了一大堆,想删,结果说连language-support-zh也必须一起删,太奇怪了。
我不知道是不是只有我的这样。
头像
Element
论坛版主
帖子: 3537
注册时间: 2005-09-10 16:04
来自: DG-GD-China
送出感谢: 0
接收感谢: 0

#2

帖子 Element » 2006-05-28 11:34

装就装了呗,你只用拼音就好咯。
别的就不用管了哦。
http://element.blog.ubuntu.org.cn/
Ubuntu Jaunty Jackalope...
AMD Barton 2600+
MSI K7N2 Delta-L
Kingston DDR400 512M*2+256M*1
nVidia FX5200
Seagate 80G(Jaunty Jackalope)
Seagate 160G(XXxxXX)
SyncMaster 732N
头像
Arete
帖子: 74
注册时间: 2005-10-05 11:15
来自: http://bulaoge.com/?arete
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 Arete » 2006-05-28 13:26

楼上的,很多人都在说SCIM和什么冲突,我只是发现了这个问题提出来,也就是说可能是系统本身设置造成的。
个人觉得似乎一个输入法与系统的关键包关联这么密切不是个好思路,如果有高手可以解答最好。
有问题提问题,有答案给答案。这才是开源的风格。
beinfant
帖子: 14
注册时间: 2005-11-03 15:54
送出感谢: 0
接收感谢: 0

#4

帖子 beinfant » 2006-08-18 22:04

我也为这个苦恼,scim和language-support-zh捆绑在一起,删除一个必须删除另一个,安装一个也同时被迫安装另一个。我想只删除scim,保留language-support-zh,然后换fcitx,不知道如何做?
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

#5

帖子 huangjiahua » 2006-08-19 22:03

language-support-zh 是中文,包括了中国大陆、台湾地区、香港地区、澳门地区等

scim 并不会跟什么冲突,
只是 scim-pinyin 现在默认会让 Gtk 程序使用 gtkimm 而不是 XIM , gtkimm 没有 XIM 可靠
( XIM 和 gtkimm 都是 SCIM 支持的输入法方式)
可以这样换成 XIM 方式,
执行

代码: 全选

 sudo im-switch -s scim_xim 




fcitx 不会跟 scim 冲突, 使用 fcitx 用不着删除 scim
直接

代码: 全选

sudo apt-get install fcitx
sudo im-switch -s fcitx

就可以了
跃过无数的时间断层,只为了在
beinfant
帖子: 14
注册时间: 2005-11-03 15:54
送出感谢: 0
接收感谢: 0

#6

帖子 beinfant » 2006-08-20 10:18

但是还是没有解决这两个捆绑在一起的问题,我就是想输入法可以单独卸载。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 karron » 2006-08-20 11:21

这个包打的确实有点一刀切。在kde下面安装这个包还会安装一些gnome下面的咚咚比如thunderbird,gimp等中文包。我感觉是不是分成两个,分别针对kde和gnome/
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

#8

帖子 huangjiahua » 2006-08-20 17:22

楼上到 IRC 呼吁一下其他国家的 KDE 用户吧
跃过无数的时间断层,只为了在
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#9

帖子 BigSnake.NET » 2006-08-20 17:34

language-support-zh 貌似是meta pack吧

我把整个SCIM删了 当然也删了language-support-zh 然后换上fcitx

使用非常正常

SCIM感觉不好用 很多字都打不出 而且有冲突
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#10

帖子 BigSnake.NET » 2006-08-20 17:35

beinfant 写了:我也为这个苦恼,scim和language-support-zh捆绑在一起,删除一个必须删除另一个,安装一个也同时被迫安装另一个。我想只删除scim,保留language-support-zh,然后换fcitx,不知道如何做?


删scim保留language-support-zh是不可能的
依赖性问题
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
xep007
帖子: 870
注册时间: 2006-01-03 20:44
送出感谢: 0
接收感谢: 6 次

#11

帖子 xep007 » 2006-08-20 18:08

BigSnake.NET 写了:
beinfant 写了:我也为这个苦恼,scim和language-support-zh捆绑在一起,删除一个必须删除另一个,安装一个也同时被迫安装另一个。我想只删除scim,保留language-support-zh,然后换fcitx,不知道如何做?


删scim保留language-support-zh是不可能的
依赖性问题

如果不怕麻烦,那就下载language-support-zh的源码包来自己编译,只要去年scim依赖就可以了。
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

#12

帖子 huangjiahua » 2006-08-20 21:18

不过,
language-support-zh 只是个依赖其他包的 meta 包

本身是空的, 删掉也无妨
跃过无数的时间断层,只为了在
回复

回到 “字体美化和中文支持”